Credit notes
POST /v1/invoices/{invoiceId}/credit
Section titled “POST /v1/invoices/{invoiceId}/credit”Credit invoice (full, once)
Scope: invoices:write
curl -X POST https://app.rieck.nu/api/v1/invoices/9b2f1c1e-…/credit \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041"const svar = await rieck.request("POST", "/v1/invoices/9b2f1c1e-…/credit");GET /v1/creditnotes
Section titled “GET /v1/creditnotes”List credit notes
Scope: invoices:read
| Query | |
|---|---|
customerId | Filter by customer |
limit | Page size, 1-200 (default 50) |
cursor | Opaque cursor from meta.nextCursor |
curl https://app.rieck.nu/api/v1/creditnotes \ -H "Authorization: Bearer $RIECK_API_KEY"const svar = await rieck.request("GET", "/v1/creditnotes");GET /v1/creditnotes/{creditNoteId}
Section titled “GET /v1/creditnotes/{creditNoteId}”Get credit note
Scope: invoices:read
curl https://app.rieck.nu/api/v1/creditnotes/9b2f1c1e-… \ -H "Authorization: Bearer $RIECK_API_KEY"const svar = await rieck.request("GET", "/v1/creditnotes/9b2f1c1e-…");GET /v1/creditnotes/{creditNoteId}/pdf
Section titled “GET /v1/creditnotes/{creditNoteId}/pdf”Credit note PDF (WORM)
Scope: invoices:read
curl https://app.rieck.nu/api/v1/creditnotes/9b2f1c1e-…/pdf \ -H "Authorization: Bearer $RIECK_API_KEY"const svar = await rieck.request("GET", "/v1/creditnotes/9b2f1c1e-…/pdf");